package com.ruoyi.common.enums;

/**
 * 订单Http状态
 *
 * @author JiangYuQi
 */
public enum HttpStatusEnum {

    ERROR(11110, "AppId不存在或已被删除"),
    DISABLE(11112, "AppId已被停用"),
    SINGET_ERROR(11113, "签名值不正确"),
    SINGET_TIMEOUT(11114, "签名数据已过期"),
    SINGET_EXCEPTION(11115, "签名数据解密异常"),
    DARA_EXCEPTION(11116, "数据解析异常");

    private final Integer code;
    private final String info;

    HttpStatusEnum(Integer code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public Integer getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }

}
